<?php
/**
* @author               Jan Kulmann <jankul@zmml.uni-bremen.de>
*/

// +---------------------------------------------------------------------------+
// This file is NOT part of Stud.IP
// Copyright (C) 2009 Jan Kulmann <jankul@zmml.uni-bremen.de>
// +---------------------------------------------------------------------------+
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or any later version.
// +---------------------------------------------------------------------------+
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
// +---------------------------------------------------------------------------+


class AddMailAddresses extends DBMigration {

        function description () {
                return 'database changes to add additional mail addresses for newsletter plugin';
        }

        function up () {
                $this->db->query("
CREATE TABLE IF NOT EXISTS `newsletter_emails` (
  `email_id` varchar(32) NOT NULL,
  `newsletter_id` varchar(32) NOT NULL,
  `email` varchar(255) NOT NULL,
  `name` varchar(255) default NULL,
  `mkdate` int(20) NOT NULL,
  `sec_token` varchar(32) NOT NULL,
  PRIMARY KEY  (`email_id`),
  KEY `newsletter_id` (`newsletter_id`)
) ENGINE=MyISAM
");
	}

        function down () {
                $this->db->query("DROP TABLE `newsletter_emails`");
        }

}

?>
